﻿using System.Collections.Generic;

namespace DocTools.Entity.Doc
{
    public class FolderChildrenEntity
    {
        public string is_doc { get; set; } = string.Empty;
        public int index { get; set; } = 0;
        public string local_parent_id { get; set; } = string.Empty;
        public string local_target_id { get; set; } = string.Empty;
        public string mark { get; set; } = string.Empty;
        public string method { get; set; } = string.Empty;
        public string name { get; set; } = string.Empty;
        public int sort { get; set; } = 0;
        public int status { get; set; } = 0;
        public long target_id { get; set; } = 0;
        public string target_type { get; set; } = string.Empty;
        public string update_dtime { get; set; } = string.Empty;
        public ScriptEntity script { get; set; } = new ScriptEntity();
        public FoldRequestEntity request { get; set; } = new FoldRequestEntity();
        public List<object> children { get; set; } = new List<object>();
        public string tableHtml { get; set; } = string.Empty;
    }

    public class FoldRequestEntity
    { 
        public string description { get; set; } = string.Empty;
        public List<NullParameterEntity> body { get; set; } = new List<NullParameterEntity>();
        public List<NullParameterEntity> header { get; set; } = new List<NullParameterEntity>();
        public List<NullParameterEntity> query { get; set; } = new List<NullParameterEntity>();
    }

    public class ScriptEntity
    { 
        public string pre_script { get; set; } = string.Empty;
        public string test { get; set; } = string.Empty;
    }
}
