﻿using System.Collections.Generic;

namespace DocTools.Entity.Doc
{
    public class RequestEntity
    {
        public string requestId { get; set; } = string.Empty;
        public string url { get; set; } = string.Empty;
        public RequestParameterEntity resful { get; set; } = new RequestParameterEntity();
        public RequestParameterEntity query { get; set; } = new RequestParameterEntity();
        public object header { get; set; } = new object();
        public ScriptEntity Event { get; set; } = new ScriptEntity();
        public string description { get; set; } = string.Empty;
        public RequestParameterEntity cookie { get; set; } = new RequestParameterEntity();
        public RequestBodyEntity body { get; set; } = new RequestBodyEntity();
    }

    public class RequestBodyEntity
    {
        public string mode { get; set; } = string.Empty;
        public List<ResponseParameterEntity> parameter { get; set; } = new List<ResponseParameterEntity>();
        public string raw { get; set; } = string.Empty;
        public List<ResponseParameterEntity> raw_para { get; set; } = new List<ResponseParameterEntity>();
    }

    public class RequestParameterEntity
    {
        public List<NullParameterEntity> parameter { get; set; } = new List<NullParameterEntity>();
    }

    public class NullParameterEntity
    { 
    }
}
