﻿using System;
using System.Collections.Generic;

namespace DocTools.Entity
{
    public class APIModuleEntity
    {
        public bool IsShowEnumFolder { get; set; } = false;
        public string Example { get; set; } = string.Empty;

        public List<InterfaceInfoEntity> MainModelList = new List<InterfaceInfoEntity>();

        public DateTime CreateTime { get; set; } = DateTime.Now;
    }
    public class InterfaceInfoEntity
    {
        public List<InterfaceBasicInfoEntity> InterfaceList = new List<InterfaceBasicInfoEntity>();
        public string Value { get; set; } = string.Empty;
        public string Url { get; set; } = "http://存储服务域名/";
    }


    public class InterfaceBasicInfoEntity
    {
        public string InterfaceNamespace { get; set; } = string.Empty;
        public string InterfaceName { get; set; } = string.Empty;
        public string InterfaceFullName { get; set; } = string.Empty;
        public string InterfaceSummary { get; set; } = string.Empty;
        public string MethodNamespace { get; set; } = string.Empty;
        public List<MethodBasicEntity> MethodList { get; set; } = new List<MethodBasicEntity>();
    }

    
}
