﻿using System.Collections.Generic;

namespace DocTools.Entity
{
    public class MemberEntity
    {
        public string ParamName { get; set; } = string.Empty;
        public string Summary { get; set; } = string.Empty;
        public string Value { get; set; } = string.Empty;
        public List<ParamEntity> Param { get; set; } = new List<ParamEntity>();
        public string Returns { get; set; } = string.Empty;
        public string Remarks { get; set; } = string.Empty;
        public string Code { get; set; } = "1";
        public string Example { get; set; } = "";
        public string ErrorCodes { get; set; } = "";
        public bool C { get; set; } = true;
    }

    public class ParamEntity
    { 
        public string ParamName { get; set; } = string.Empty;
        public string ParamText { get; set; } = string.Empty;
    }
}
